Package com.massivecraft.factions.cmd

## Class FCommand

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand

Direct Known Subclasses:
  `CmdAdmin`, `CmdAHome`, `CmdAlts`, `CmdAltsList`, `CmdAnnounce`, `CmdAutoClaim`, `CmdAutoHelp`, `CmdBan`, `CmdBanlist`, `CmdBanner`, `CmdBoom`, `CmdBypass`, `CmdChat`, `CmdChatSpy`, `CmdCheck`, `CmdCheckpoint`, `CmdChest`, `CmdClaim`, `CmdClaimAt`, `CmdClaimLine`, `CmdColeader`, `CmdConfig`, `CmdConvert`, `CmdConvertConfig`, `CmdCoords`, `CmdCorner`, `CmdCreate`, `CmdDeinvite`, `CmdDelFWarp`, `CmdDescription`, `CmdDisband`, `CmdFGlobal`, `CmdFly`, `CmdFocus`, `CmdFWarp`, `CmdGetVault`, `CmdGrace`, `CmdHelp`, `CmdHome`, `CmdInspect`, `CmdInventorySee`, `CmdInvite`, `CmdInviteAlt`, `CmdInviteBot`, `CmdJoin`, `CmdKick`, `CmdKillHolograms`, `CmdLeave`, `CmdList`, `CmdLock`, `CmdLogins`, `CmdLogout`, `CmdLowPower`, `CmdMap`, `CmdMapHeight`, `CmdMissions`, `CmdMod`, `CmdModifyPower`, `CmdMoney`, `CmdMoneyBalance`, `CmdMoneyDeposit`, `CmdMoneyTransferFf`, `CmdMoneyTransferFp`, `CmdMoneyTransferPf`, `CmdMoneyWithdraw`, `CmdNear`, `CmdOpen`, `CmdOwner`, `CmdOwnerList`, `CmdPaypalSee`, `CmdPaypalSet`, `CmdPeaceful`, `CmdPerm`, `CmdPermanent`, `CmdPermanentPower`, `CmdPoints`, `CmdPointsAdd`, `CmdPointsRemove`, `CmdPointsSet`, `CmdPower`, `CmdPowerBoost`, `CmdReload`, `CmdRules`, `CmdSafeunclaimall`, `CmdSaveAll`, `CmdSB`, `CmdSeeChunk`, `CmdSeeDiscord`, `CmdSetBanner`, `CmdSetDefaultRole`, `CmdSetDiscord`, `CmdSetFWarp`, `CmdSetGuild`, `CmdSethome`, `CmdSetMaxVaults`, `CmdShop`, `CmdShow`, `CmdShowClaims`, `CmdShowInvites`, `CmdSpawnerLock`, `CmdStatus`, `CmdStealth`, `CmdStrikes`, `CmdStrikesGive`, `CmdStrikesInfo`, `CmdStrikesSet`, `CmdStrikesTake`, `CmdStuck`, `CmdTag`, `CmdTitle`, `CmdTnt`, `CmdTntFill`, `CmdToggleAllianceChat`, `CmdTop`, `CmdTpBanner`, `CmdUnban`, `CmdUnclaim`, `CmdUnclaimall`, `CmdUpgrades`, `CmdVault`, `CmdVersion`, `CmdViewChest`, `CmdWarunclaimall`, `CmdWeeWoo`, `FCmdRoot`, `FPromoteCommand`, `FRelationCommand`

    public abstract class FCommand
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.util.List<java.lang.String>` | `aliases` |
`java.util.List<java.lang.String>` | `helpLong` |
`java.util.LinkedHashMap<java.lang.String,​java.lang.String>` | `optionalArgs` |
`java.util.List<java.lang.String>` | `requiredArgs` |
`CommandRequirements` | `requirements` |
`java.text.SimpleDateFormat` | `sdf` |
`java.util.List<FCommand>` | `subCommands` |
`CommandVisibility` | `visibility` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FCommand()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addSubCommand​(FCommand subCommand)` |
`void` | `execute​(CommandContext context)` |
`java.lang.String` | `getHelpShort()` |
`java.util.List<java.lang.String>` | `getToolTips​(Faction faction)` |
`java.util.List<java.lang.String>` | `getToolTips​(FPlayer player)` |
`java.lang.String` | `getUsageTemplate​(CommandContext context)` |
`java.lang.String` | `getUsageTemplate​(CommandContext context, boolean addShortHelp)` |
`abstract TL` | `getUsageTranslation()` |
`boolean` | `isEnabled​(CommandContext context)` |
`abstract void` | `perform​(CommandContext context)` |
`java.lang.String` | `replaceFactionTags​(java.lang.String s, Faction faction)` |
`java.lang.String` | `replaceFPlayerTags​(java.lang.String s, FPlayer player)` |
`void` | `setHelpShort​(java.lang.String val)` |
`boolean` | `validArgs​(CommandContext context)` |
`boolean` | `validCall​(CommandContext context)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sdf

    public java.text.SimpleDateFormat sdf

#### aliases

    public java.util.List<java.lang.String> aliases

#### requiredArgs

    public java.util.List<java.lang.String> requiredArgs

#### optionalArgs

    public java.util.LinkedHashMap<java.lang.String,​java.lang.String> optionalArgs

#### requirements

    public CommandRequirements requirements

#### subCommands

    public java.util.List<FCommand> subCommands

#### helpLong

    public java.util.List<java.lang.String> helpLong

#### visibility

    public CommandVisibility visibility

### Constructor Detail

#### FCommand

    public FCommand()

### Method Detail

#### perform

    public abstract void perform​(CommandContext context)

#### execute

    public void execute​(CommandContext context)

#### validCall

    public boolean validCall​(CommandContext context)

#### isEnabled

    public boolean isEnabled​(CommandContext context)

#### validArgs

    public boolean validArgs​(CommandContext context)

#### addSubCommand

    public void addSubCommand​(FCommand subCommand)

#### getHelpShort

    public java.lang.String getHelpShort()

#### setHelpShort

    public void setHelpShort​(java.lang.String val)

#### getUsageTranslation

    public abstract TL getUsageTranslation()

#### getToolTips

    public java.util.List<java.lang.String> getToolTips​(FPlayer player)

#### getToolTips

    public java.util.List<java.lang.String> getToolTips​(Faction faction)

#### replaceFPlayerTags

    public java.lang.String replaceFPlayerTags​(java.lang.String s,
                                               FPlayer player)

#### replaceFactionTags

    public java.lang.String replaceFactionTags​(java.lang.String s,
                                               Faction faction)

#### getUsageTemplate

    public java.lang.String getUsageTemplate​(CommandContext context,
                                             boolean addShortHelp)

#### getUsageTemplate

    public java.lang.String getUsageTemplate​(CommandContext context)